
/*! HTML5 Boilerplate v5.0 | MIT License | http://h5bp.com/ */

html {
    color: #222;
    font-size: 1em;
    line-height: 1.4;
    overflow: visible;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}


/* ==========================================================================
   Author's custom styles
   ========================================================================== */

body {
    padding:0;
    margin:0;
}

.contentwrap {
    max-width:1024px;
    margin:0 auto;
}

/* splash page features styling */
.container {
    min-height:400px;
    min-height:90vh;
    position: relative;
}
.page-content {
    background-size:cover;
    background-position:center;
    padding:1px 0; /* prevent margins bleeding out */
    padding:5%;
}
.raw-page .page-content {
    padding: 0;
}
.modal {
  display: none;
}

.modal.is-open {
  display: block;
}
.modal_overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0,0,0,0.6);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}
.modal_container {
  background-color: #0097AE;
  padding: 30px;
  color: white;
  width: 90%;
  height: auto;
  border-radius: 4px;
  /* overflow-y: visible; */
  box-sizing: border-box;
  /* display: flex; */
  flex-direction: column;
  max-width: 960px;
  max-height: 95vh;
  position: relative;
}
.modal_header {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  position: absolute;
  right: 30px;
  top: 30px;
}
.modal_title {
  margin-top: 0;
  margin-bottom: 0;
  font-weight: 600;
  font-size: 1.25rem;
  line-height: 1.25;
  color: #00449e;
  box-sizing: border-box;
  display: none;
}
.modal_close {
  background: transparent;
  border: 0;
  background:url('https://kms-au.appspot.com.storage.googleapis.com/sites/recycling-plant/app_files/img/close.svg');
  background-size:cover;
  width: 64px;
  height: 64px;
  user-select: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}
.modal_close:focus{
    outline:none;
}

.modal_content {
  /* margin-top: 2rem; */
  /* margin-bottom: 2rem; */
  line-height: 1.5;
  width:100%;
  /* flex-grow: 1; */
}
.modal_content.loading {
  background:url('https://kms-au.appspot.com.storage.googleapis.com/sites/recycling-plant/app_files/img/loading.gif') center no-repeat;
  background-size:75px;
}
.modal_iframe {
  width: 100%;
  height: 100%;
  border: none;
  overflow: visible;
  min-height: 400px;
  max-height:90vh;
}
.wrapper-360 {
    padding:0;
}
.wrapper-360 canvas {  
    cursor: grab;
}
.wrapper-360 .interacting canvas {
    cursor: grabbing;
}

.wrapper-360 .icon-360 {
    position:absolute;
    top:50%;
    left:50%;
    margin-top:-48px;
    margin-left:-48px;
    width:96px;
    height:96px;
    border-radius:10px;
    background:rgba(0,0,0,0.5);
    background-image:url('https://kms-au.appspot.com.storage.googleapis.com/sites/recycling-plant/app_files/img/360-view.svg');
    background-size: 64px;
    background-position: center;
    background-repeat: no-repeat;
    cursor:grab;
}
.wrapper-360 .progress-wrap {
    position:absolute;
    text-align:center;
    bottom:0;
    left:0;
    right:0;
    z-index:100;
}
.video-performance-debug {
  position:absolute;
  bottom:0;
  left:0;
}
.wrapper-360 .progress {
  display: inline-block;
  position: relative;
  white-space: nowrap;
}
.wrapper-360 .progress::after {
  content:"";
  position:absolute;
  top:50%;
  left:0;
  right:0;
  background:#FCD700;
  height:4px;
  margin-top:-2px;
}
.wrapper-360 .progress-item {
    background:#FCD700;
    display: inline-block;
    margin: 20px 50px;
    padding: 12px;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    line-height: 24px;
    color: black;
    font-size: 20px;
    font-weight: bold;
    vertical-align: middle;
    z-index:10;
    position:relative;
    text-decoration: none;
    transition:all 0.5s ease;
}
.wrapper-360 .progress-item:first-child {
  margin-left:0;
}
.wrapper-360 .progress-item:last-child {
  margin-right:0;
}
.wrapper-360 .progress-item.selected,
.wrapper-360 .progress-item:hover {
  font-size:32px;
  line-height: 40px;
  width:40px;
  height:40px;
}
.wrapper-360 .touch-navigation-enable {
    position: absolute;
    right: 0px;
    bottom: 0px;
    width: 64px;
    height: 64px;
    padding:12px;
    background-color: rgba(0,0,0,0.3);
    background-size: 64px;
    background-position:center;
    background-repeat: no-repeat;
    z-index: 150;
}
.wrapper-360 .touch-navigation-enable.enabled {
    opacity:0.5;
}
.wrapper-360 .touch-navigation-enable.disabled img {
    animation: jump 2s ease-out infinite;
}
@keyframes jump {
	 0%   { transform: scale(1,1)      translateY(0); }
    10%  { transform: scale(1.1,.9)   translateY(0); }
    30%  { transform: scale(.9,1.1)   translateY(-20px); }
    50%  { transform: scale(1.05,.95) translateY(0); }
    57%  { transform: scale(1,1)      translateY(-1px); }
    64%  { transform: scale(1,1)      translateY(0); }
    100% { transform: scale(1,1)      translateY(0); }
}
.wrapper-360 .enable-touch-overlay {
    position:absolute;
    top:0;
    left:0;
    right:0;
    bottom:0;
    background:rgba(0,0,0,0.3);
    color:white;
    text-align: center;
    font-weight:bold;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.video-bg {
    position:relative;
    overflow:hidden;
    background-size:cover;
    padding:0;
    padding-top: 56.25%;
}
.video-bg .pane-one,
.video-bg .pane-two {
   position:absolute;
   top:0;
   left:0;
   right:0;
   bottom:0;
}
.video-bg .pane-one {
    display:flex;
    flex-direction: column;
    justify-content: center;  
}
.video-bg video.background {
    position:absolute;
    height: auto;
    width: auto; /* 100 * 16 / 9 */
    min-width: 100%;
    min-height: 100%; /* 100 * 9 / 16 */
    left: 50%; /* % of surrounding element */
    top: 50%;
    transform: translate(-50%, -50%); /* % of current element */
    object-fit: cover;
}
.video-bg .section-content {
    position: static;
    z-index:10;
    padding:5%;
    pointer-events:none;
}
.video-bg .gradient {
  position:absolute;
  top:0;
  left:0;
  right:0;
  bottom:0;
  background-image:url('https://kms-au.appspot.com.storage.googleapis.com/sites/recycling-plant/app_files/img/gradient.svg');
  background-size:cover;
  z-index: 5;
}
.video-bg .page-body {
     max-width:320px;
}
.video-bg .page-body h1 {
  margin:0;
}
.video-bg .logos img {
  margin-right:40px;
}
.video-bg .hotspot {
  position:absolute;
  z-index: 9;
  width:48px;
  height:48px;
  margin-top:-24px;
  margin-left:-24px;
  animation: pulsate 2s ease-out;
  animation-iteration-count: infinite;
  cursor:pointer;
}

@keyframes pulsate {
    0% {
        transform: scale(1.0, 1.0); opacity: 1.0;
    }
    50% {
        transform: scale(0.75, 0.75); opacity: 0.5;
    }
    100% {
        transform: scale(1.0, 1.0); opacity: 1.0;
    }
}

.icon-scroll:before {
  position: absolute;
  left: 50%;
}
.icon-scroll {
  width: 40px;
  height: 70px;
  box-shadow: inset 0 0 0 1px #fff;
  border-radius: 25px;
  position: relative;
  margin: 20px auto;
  z-index: 100;
}
.icon-scroll:before {
  content: '';
  width: 8px;
  height: 8px;
  background: #fff;
  margin-left: -4px;
  top: 8px;
  border-radius: 4px;
  animation-duration: 1.5s;
  animation-iteration-count: infinite;
  animation-name: scroll;
}
@keyframes scroll {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    -webkit-transform: translateY(46px);
            transform: translateY(46px);
  }
}
.loader {
    position:absolute;
    top:0;
    left:0;
    right:0;
    bottom:0;
    z-index:10000;
    background-position:center;
    background-repeat:no-repeat;
    /* background-color: #191f26; */
    opacity: 1;
    background-size: 75px;
}

.contamination-graph {
    background:#0097AE;
    position:relative;
    text-align: center;
}
.contamination-graph .canvas-wrap {
    position:absolute;
    top:0;
    left:0;
    right:0;
    bottom:0;
    width:100%;
    height:100%;
}
.contamination-graph canvas {
    position:absolute;
    top:0;
    left:0;
    right:0;
    bottom:0;
    height:100%;
}
.contamination-figures {
    max-width:400px;
    margin: 50px auto;
    position:relative;
    z-index:100;
    text-align:center;
}
.last-month {
    font-family: QanelasSoft-Black;
    font-size: 80px;
    text-transform:uppercase;
    display:block;
}
.last-month-title {
    font-family: QanelasSoft-Black;
    font-size: 48px;
    color:#FCD700;
    text-transform:uppercase;
    display:block;
}
.prior-month {
    background:#F15843;
    color:white;
    display:inline-block;
    font-size: 24px;
}
.amount-processed {
    font-weight:bold;
    display:block;
}
.contamination-graph .temps {
  font-size: 24px;
  font-family: QanelasSoft-Black;
}
.contamination-graph .temps img {
    vertical-align:middle;
    margin-left:10px;
}
td {
    padding:0 20px;
}
td h1 {
    margin-bottom:0;
}
td p {
    margin-top:0;
}

.sorting {
    display:flex;
    color:black;
}
.sorting > * {
    flex-basis:50%;
    text-transform:uppercase;
    font-family: QanelasSoft-Black;
    font-size:24px;
}
.sorting p {
    background:rgba(255,255,255,0.3);
    line-height:3;
    margin:20px auto;
    /* vertical-align: middle; */
}
.sorting p img {
    vertical-align: middle;
    margin: -10px auto;
}
.suitable, .not-suitable {
    padding:2%;
}
.suitable h2, .not-suitable h2 {
    font-size:48px;
    margin-top:0;
}
.suitable {
    background:#FCD700;
}
.suitable h2 {
    color:#F15843;
}
.not-suitable {
    background:#F15843;
}
.not-suitable h2 {
    color:#FCD700;
}
/* end splash page features styling */

/** bykeo ***/
.bykeo {
    display: block;
    text-align: center;
    font-size: 12px;
    padding-top: 10px;
    padding-bottom: 20px;
    width: 100%;
    box-sizing: border-box;
}
.bykeo a {
    color: white;
    text-decoration:none;
}
.bykeo img {
    vertical-align: middle;
    display: inline-block;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
.bykeo a:hover img{
    transform-origin: center;
    transform: translateX(-200%) rotate(-360deg);
}
@media screen and (max-width:1400px) {
    .video-bg {
      padding-top:0;
    }
    .video-bg .pane-one,
    .video-bg .pane-two {
        position: relative;
        /* height: auto; */
        bottom: auto;
        right: auto;
        left: auto;
        top: auto;
    }
    .video-bg .pane-two {
        background-size:cover;
        background-position:center;
        background-repeat:no-repeat;
        padding-top:56.25%;
    }
    .video-bg video.background {
      height:100%;
      width:100%;
    }
    .video-bg .page-body {
      max-width:none;
    }
}
@media screen and (max-width:960px) {
  .video-bg .logos img {
      display:block;
      margin:30px auto;
  }
}
@media screen and (max-width:760px) {
    .sorting {
        display:block;
    }
    .wrapper-360 .progress-item {
      margin: 4px 25px;
    }
    .last-month {
        font-size:12vw;
    }
    .last-month-title {
        font-size:9vw;
    }
}
@media screen and (max-width:500px) {
    .wrapper-360 .progress-item {
      margin: 4px 15px;
    }
}